SMOLDER_SMOKE_SIGNAL(1)

NAME
smolder_smoke_signal

SYNOPSIS
    ./bin/smolder_smoke_signal --server smolder.foo.com \
        --username myself --password s3cr3t --file test_report.xml \
        --project MyProject

DESCRIPTION
Script used to upload a Smoke test report to a running smolder server. This is extremely useful for scripted/automatic test runs but also helpful when using a CLI makes things faster.

OPTIONS

  REQUIRED

server
    This is the hostname (and port if not 80) of the running Smolder server.

project
    The name of the Smolder project to use for the upload.

username
    The name of the Smolder user to use for the upload.

password
    The password for the Smolder user given by "username".

file
    The name of the file to upload. Please see docs/upload_file_format.pod for more details about the format that Smolder expects this file to take.

  OPTIONAL

port
    If your Smolder server is running on a port other than 80, then you can specify it here.

architecture
    The architecture for the given smoke test run. If none is given it will use the default architecture for the project.

platform
    The platform for the given smoke test run. If none is given it will use the default platform for the project.

revision
    The revision control number for this test run. Only applies to projects that use revision control (shouldn't they all) and only applies to tests run against a checkout from revision control.

    This is just a free form text option so it will work with any revision number that your preferred revision control system uses.

tags
    A comma separated list of tags that are given for this smoke report run.

        ./bin/smolder_smoke_signal --server smolder.foo.com \
            --username myself --password s3cr3t --file test_report.xml \
            --project MyProject --tags "Foo, My Bar"

comments
    Any comments that you want to associate with the smoke test run.

verbose
    Print verbose output of our actions to STDOUT.